MarinerWrtText.cxx File Reference
`#include <iomanip>`
`#include <iostream>`
`#include <limits>`
`#include <map>`
`#include <sstream>`
`#include <librevenge/librevenge.h>`
`#include "MWAWCell.hxx"`
`#include "MWAWTextListener.hxx"`
`#include "MWAWDebug.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWRSRCParser.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MWAWTable.hxx"`
`#include "MarinerWrtParser.hxx"`
`#include "MarinerWrtText.hxx"`

## Classes

struct | MarinerWrtTextInternal::Font
| Internal: struct used to store the font of a MarinerWrtText. More...
struct | MarinerWrtTextInternal::Paragraph
| Internal: struct used to store the paragraph of a MarinerWrtText. More...
struct | MarinerWrtTextInternal::Paragraph::BorderFill
| small structure to store border/fills properties in MarinerWrtText More...
struct | MarinerWrtTextInternal::Zone
| Internal: struct used to store zone data of a MarinerWrtText. More...
struct | MarinerWrtTextInternal::Zone::Information
| struct used to keep the information of a small zone of MarinerWrtTextInternal::Zone More...
struct | MarinerWrtTextInternal::Table
| Internal: struct used to store the table of a MarinerWrtText. More...
struct | MarinerWrtTextInternal::Table::Row
| a table row of a MarinerWrtText More...
struct | MarinerWrtTextInternal::Table::Cell
| a table cell of a MarinerWrtText More...
struct | MarinerWrtTextInternal::State
| Internal: the state of a MarinerWrtText. More...

## Namespaces

namespace | MarinerWrtTextInternal
| Internal: the structures of a MarinerWrtText.

## Functions

std::ostream & | MarinerWrtTextInternal::operator<< (std::ostream &o, Font const &font)
std::ostream & | MarinerWrtTextInternal::operator<< (std::ostream &o, Paragraph const &para)
std::ostream & | MarinerWrtTextInternal::operator<< (std::ostream &o, Paragraph::BorderFill const &fill)